# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic
Versioning](http://semver.org/spec/v2.0.0.html).

## Unreleased

## [2.1.0] - 2021-02-26

### Changed
- Q1 '21 handler maintenance:
  - Updated modules (go get -u && go mod tidy)
  - Updated GitHub Actions: Added Lint action
  - Updated build to Go 1.14
  - Change return from sendMessage to capture and embellish any error
  - Output log message with incident or event ID upon create/update/resolve
  - README updates

## [2.0.0] - 2020-06-04

### Changed
- Updated releaser GitHub Action to create tar file necessary for adding new version to Bonsai
- Enforced hard requirements for a valid Sensu license (Sensu 5.21 or greater required)

## [1.0.0] - 2020-05-06

### Changed
- Update to use new Sensu SDK
- Replace Travis with GitHub Actions
- Add templating support for CMDBCI, Events, Incidents
- Update README

## [0.0.10] - 2019-01-11

### Changed
- Include README and CHANGELOG in hosted archive

## [0.0.9] - 2019-01-11

### Changed
- Include 512 checksum files in the hosted archive
- Try using the tgz hosted archive extension

## [0.0.8] - 2019-01-11

### Changed
- Only include asset tars in the hosted archive
- Dropped "_hosted" from the hosted archive name

## [0.0.7] - 2019-01-11

### Changed
- Use Travis repo slug basename to strip out owner in hosted asset
archive name

## [0.0.6] - 2019-01-11

### Changed
- Use /tmp for hosted asset archive

## [0.0.5] - 2019-01-11

### Changed
- Changed the tar command used to create the hosted asset, attempting
to fix no file found.

## [0.0.4] - 2019-01-11

### Changed
- Changed the tar command used to create the hosted asset archive

## [0.0.3] - 2019-01-11

### Added
- Create and upload a Bonsai hosted asset archive

## [0.0.2] - 2019-01-11

### Changed
- Minor log output edits, manage incidents/events
- Updated GITHUB_TOKEN with more access

## [0.0.1] - 2019-01-09

### Added
- Initial release
